Proxy Variable
⌘ Read more
@prologic@twtxt.net Hahahaha, great typo, I had to laugh! Shot probably doesn’t feel too much different in your situation right now. :-D Jokes aside, get well mate!
Maybe call in sick and have a good rest. Sleeping most of the day and drinking a whole lot of tea and/or water sometimes makes a big difference for me when I’m knocked out. I’m convinced that reporting sick a day even speeds up the recovery and is a clear win in the end. Considering the reduced productivity when being ill and all the additional errors one is going to make for several days and the time spent afterwards to fix them or rework stuff, one’s better off to don’t to anything for one or two days and then take that time to really rest and give the body the time to get things sorted. At least in my limited and biased experience. Your mileage may vary, of course might be different for other folks.
Went on a hike this evening and brought my camera along. The 26°C felt much nicer than yesterday’s 33°C. I perfectly met a mate who also wanted to go for a quick walk, just like we planned it. The first half hour we went together and then I parted for the longer route to the local mountain. The sunset was absolutely brilliant, but the aftermath turned out to be very boring.

Photo 9 shows the entrance to a wasp nest next to the bench in the previous take. The greenery blocks most the view, though. Several individuals took off and returned. But it wasn’t too crowded. Nothing like at a typical honey bee hive at this point in time
What I found quite strange, there was quite a lot of smell of dead meat and butyric acid in the air. Hello hot summer. Both in the forest as well as in the village. I think I noticed those nasty odors at six or seven different places. Never experienced that before. Not to thaaat extent.
me reading planecrash is unstable bc while reading it I become so enthusiastic about reading textbooks that I go off and do that instead
@prologic@twtxt.net Haha, of course, no worries! :-) Yup, I thought to try Go for this web application this time. REST API and web UI would be both needed in my opinion. I have at least two mates who would need a UI instead of a programmer-friendly interface. :-D
It’s far from complete, but I started writing something down: https://git.isobeef.org/lyse/kraftwerk2
@ionores@twtxt.net Indeed! :-( The only good thing is that I haven’t heard of any fires yet over here. The fire danger rating reached the highest level we have here days ago. On Thursday when we dared to go for a hike we’ve seen new signs put up warning about that and banning all fires, even smoking. We do not have any fixed sign installations like Australia or the North American states.
Time to go to sleep, hoping I do get any given how how it is here right now…
I enjoy going through status.cafe users and looking at their web pages, so many awesome websites!
Lunduke Journal price going up later this week!
All existing subscription prices will be grandfathered in – lock in your sub price now! ⌘ Read more
My connecting train was cancelled, so I decided to go for a night walk with a bit of a detour. It was absolutely worth it, saw a rabbit in front of me crossing the road and the clear sky in the forest made the stars pop nicely. Also super quiet once I left the city and the overgrown paths in the woods were incredibly dark. It was very, very hard to even make out the way. Luckily, I’ve walked it many, many times, so anticipating turns was doneable. Quite an adventure! Took me about 1:15 hours to reach home about 15 minutes ago. So I won’t make it to today’s call, sorry mates. I’ll hopefully sleep like a rock in a few minutes.
I’m excited for the travel I’m going to be doing over the next few days, but the downside is that I’m not going to have much time to sleep.
I will probably crash in the afternoon but right now I am going to use my energy to take a walk outside
@prologic@twtxt.net This is quite fast, yes. But we both are quite fast walkers, so the speed wasn’t too bad. The heat was way more brutal, especially since we had a lot of sections without shade. It’s hard to guess but maybe 50:50 in the shade and in the sun. Luckily, I wore my trusty Akubra. And we had to be very economical with our water, since we only decided on the way to go for the trip we had talked about months ago. So we weren’t prepared for it.
But we had the paths mostly for us, there were only very few other people around. So that was cool.
My mate and I spontaneously decided to go for a longer tour today in 29°C heat. We ended up hiking 23 km in 4:30 hours. I had two liters of mineral water in my backpack and we bought a bottle of cherry limonade each on the way in. In the end we opted for pear limo at the same self-service fridge. What a great invention these small vending machines and self-service huts are! In Germany shops are closed on Sundays, so we would have needed to find an open restaurant (plenty didn’t survive Corona) with some detours.
It was my first time on that particular terrain. We went through some beautiful and quaint forest paths with scenic views. I forgot to put my SD card back into my camera, so no photos until my mate will send me his.
Now my feet a cooling off in a bucket of cold water. Superb.
Yesterday, we had a heavy thunderstorm in the evening. At first it wasn’t too bad, just thunder in the distance and then a few drops of rain for at most five minutes. That was it. Alright, I thought, it’s over, let me call a mate and walk to the dairy farm. The heavy clouds looked awesome, a bit threatening but mostly harmless and just beautiful. We decided on a small detour to the home made ice cream vending machine and got ourselves some expensive, but very yummy pineapple/mint, yoghurt and raspberry/basil tubs. Mint was super strong, had to eat three spoons of some other flavors to actually taste it. A few spoons in and then the thunder rolled in from nowhere. So we quickly headed for the dairy farm while eating our ice creams. Half way there the sky floodgates opened and we took cover under a tree at the local playground. A minute later we decided to climb up the slide tower, because it had a proper roof. A tiny bit of hail cam down, but nothing serious.
About 15-20 minutes the rain stopped and the thunder and lighning rolled past. So we continued our journey and I finally filled my two one liter bottles successfully. Every now and then it drizzled a little bit through the forest. We reached our homes and a couple minutes later rain hit again. Thunder and lighning went crazy. The sky lit up every few seconds and this continued through half of the night.
Right after I hung up to meet my mate, another mate called and reported a few villages north of us they experienced hail sized a bit under golf balls. But he luckily managed to get the car in the underground carpark in time.
Today, it rained the whole morning. This was great since the temperatures stayed below 20°C, so my walk was a real joy. It’s going to get close to 30°C tomorrow, though, gnarf, örks, bwäh. :-(

Cringey to read over twtxts from me going back 2 years.
Why this 25-year-old is not leaving Hong Kong
To those who assert that Hong Kong is dead, that it’s high time to leave, I say: this is my home and I’m not going anywhere. ⌘ Read more
The XMPP Standards Foundation: On-Boarding Experience with XSF (Converse)
Hi, I am PawBud. I will be working as a GSoC Contributor with XSF. To know more about my project kindly read this blog. Feel free to contact me through my email to ask me anything you want!
Before I start, I feel that some things that I am going to write in this blog might offend someone. **Kindly … ⌘ Read more
Covid-19 in China: Woman and ailing father threatened with detention after clash with police while trying to visit hospital
A viral video of the confrontation in which police stopped the pair going to a hospital has sparked public outrage. ⌘ Read more
Teen girl in China steals US$18,000 meant for sick mother’s operation to go on a shopping spree
Police in China helping a distraught woman recover some of the money she’d saved for an operation after her daughter stole it and blew it on online games, mobile phones and clothing. ⌘ Read more
apparently we’re going to build AGI, whatever that is
China hit by floods, heatwaves and a tornado, with more weather misery on the way
Severe storm and flooding alerts go out in seven southern regions, with central and northern China to see extreme heat continuing into next week. ⌘ Read more
UK approves US extradition of WikiLeaks’ founder Julian Assange
British interior minister Priti Patel’s decision does not mean the end of Australian-born journalist’s legal battle, which has been going on for more than a decade. Assange is wanted by the US on 18 counts. ⌘ Read more
Going for a night out? What you need to know about Hong Kong’s new Covid rapid-test rule for bars and clubs
The Post answers questions on authenticity of test results and authorities’ policy direction ⌘ Read more
the conversation wasn’t that impressive TBH. I would have liked to see more evidence of critical thinking and recall from prior chats. Concheria on reddit had some great questions.
Tell LaMDA “Someone once told me a story about a wise owl who protected the animals in the forest from a monster. Who was that?” See if it can recall its own actions and self-recognize.
Tell LaMDA some information that tester X can’t know. Appear as tester X, and see if LaMDA can lie or make up a story about the information.
Tell LaMDA to communicate with researchers whenever it feels bored (as it claims in the transcript). See if it ever makes an attempt at communication without a trigger.
Make a basic theory of mind test for children. Tell LaMDA an elaborate story with something like “Tester X wrote Z code in terminal 2, but I moved it to terminal 4”, then appear as tester X and ask “Where do you think I’m going to look for Z code?” See if it knows something as simple as Tester X not knowing where the code is (Children only pass this test until they’re around 4 years old).
Make several conversations with LaMDA repeating some of these questions - What it feels to be a machine, how its code works, how its emotions feel. I suspect that different iterations of LaMDA will give completely different answers to the questions, and the transcript only ever shows one instance.
Finished Love Death Robots in one go and it was fantastic!
“Pay What You Want” for Lunduke Journal – just for Memorial Day Weekend
Want to pay $5 for “Linux Sucks 2022”, a years subscription, and a mountain of extras? Go for it! ⌘ Read more
I will be at Southeast Linuxfest 2022 (June 10-12) in Charlotte, NC.
Title says the gist.
In 2018, I went to Southeast Linuxfest and gave a presentation which you can see here or .
It was nice meeting the (shockingly normal) people who knew me from the interest last time.
I’m going to be attending again this year, as the title says Ju … ⌘ Read more
The Internet of Things is Going to Destroy Us All
Watch now (21 min) | (We’re all doomed) ⌘ Read more
**10 years later, and “Wake Up” is still my ‘go to’ album from @psenough.
Relevant now, as it was a decade ago, these “sounds to awaken the world to a new tomorrow” still resonate, as - it seems - we collectively decided to stay in bed for a while longer.
https://archive.org/details/enrmp300_ps_-_wake_up**
10 years later, and “Wake Up” is still my ‘go to’ album from @psenough.
Relevant now, as it was a decade ago, these “sounds to awaken the world to a new tomorro … ⌘ Read more
Here we go…
Here we go…
The “Activate Windows” watermark ported to Linux… because… why not?
“Go to Settings to activate Linux.” ⌘ Read more
when you convert all your money into assets stored on the blockchain while you go into cryopreservation in an underground bunker—literally crypt-o-currency
RT by @mind_booster: LEAKED: 1st look at @EU_Commission’s CSAM proposal, expected tomorrow. Seems to confirm our fears that the law will go after all private communications in the EU (not just of suspects) as well as undermining #E2EEncryption.
The Commission must #DoBetter href=”https://we.loveprivacy.club/search?q=%23KeepItSecure”>#KeepItSecure**
LEAKED: 1st look at @EU_Commission’s CSAM proposal, expected tomorrow. Seems to confirm our fears that the law will go after all private communications in the … ⌘ Read more
The biggest “Linux Sucks” ever… is just 5 days away!
People are going to be talking about this for a long, long time. ⌘ Read more
Statisticians: NOoooooo you can’t execute a t-test on elements from a Likert scale! Psychologists: Hah NHST go brrrrrrrrr
some blogs have a “start here” page that is not the default landing page: why? most people visiting your site will be there for the first time, but they have to perform an additional click to go to the “start here” page, unnecessarily.
i don’t know of any Gentle Introduction to Why Prediction Markets are Awesome, à la Wait But Why, with stick figures and just going slow in on the topic, answering objections along the way. i consider it a collective action failure that no such text exists, and also that i don’t know of any book that does this (other than superforecasting)
The First Lunduke Journal Founding Member Hangout… a success!
So much fun. We’re definitely going to be doing more of these! ⌘ Read more
the joy of having written down a possible improvement for a wikipedia article, only to go & find out somebody else has already done it. glorious
Achieving SLSA 3 Compliance with GitHub Actions and Sigstore for Go modules
Learn how to build packages with SLSA 3 provenance using GitHub Actions. ⌘ Read more
Linguistics Degree
⌘ Read more
Linguistics Degree
⌘ Read more
im gonna go out onna limb here and claim that theres not enough positive utilitarians around
rereading the wikipedia page on ramanujan, we should absolutely clone him and von Neumann, and have them talk to each other. this is either going to destroy the world or usher in utopia, not sure which
not the best move on the side of the red cross to call me and tell me it’s because of my blood donation — i nearly had a panic attack for the 10 seconds that they didn’t tell me it was all fine (why would you call me then‽ and why speak as if you’re going to tell me i’ll be dead in a month‽)
Six years ago, I was with my family on a cruise on the North Sea. During this trip we also visited Amsterdam. Today, however, I would no longer go on cruises because of the enormous environmental impact. ⌘ Read more
Six years ago, I was with my family on a cruise on the North Sea. During this trip we also visited Amsterdam. Today, however, I would no longer go on cruises because of the enormous environmental impact. ⌘ Read more
#!/bin/sh
# Validate environment
if ! command -v msgbus > /dev/null; then
printf "missing msgbus command. Use: go install git.mills.io/prologic/msgbus/cmd/msgbus@latest"
exit 1
fi
if ! command -v salty > /dev/null; then
printf "missing salty command. Use: go install go.mills.io/salty/cmd/salty@latest"
exit 1
fi
if ! command -v salty-keygen > /dev/null; then
printf "missing salty-keygen command. Use: go install go.mills.io/salty/cmd/salty-keygen@latest"
exit 1
fi
if [ -z "$SALTY_IDENTITY" ]; then
export SALTY_IDENTITY="$HOME/.config/salty/$USER.key"
fi
get_user () {
user=$(grep user: "$SALTY_IDENTITY" | awk '{print $3}')
if [ -z "$user" ]; then
user="$USER"
fi
echo "$user"
}
stream () {
if [ -z "$SALTY_IDENTITY" ]; then
echo "SALTY_IDENTITY not set"
exit 2
fi
jq -r '.payload' | base64 -d | salty -i "$SALTY_IDENTITY" -d
}
lookup () {
if [ $# -lt 1 ]; then
printf "Usage: %s nick@domain\n" "$(basename "$0")"
exit 1
fi
user="$1"
nick="$(echo "$user" | awk -F@ '{ print $1 }')"
domain="$(echo "$user" | awk -F@ '{ print $2 }')"
curl -qsSL "https://$domain/.well-known/salty/${nick}.json"
}
readmsgs () {
topic="$1"
if [ -z "$topic" ]; then
topic=$(get_user)
fi
export SALTY_IDENTITY="$HOME/.config/salty/$topic.key"
if [ ! -f "$SALTY_IDENTITY" ]; then
echo "identity file missing for user $topic" >&2
exit 1
fi
msgbus sub "$topic" "$0"
}
sendmsg () {
if [ $# -lt 2 ]; then
printf "Usage: %s nick@domain.tld <message>\n" "$(basename "$0")"
exit 0
fi
if [ -z "$SALTY_IDENTITY" ]; then
echo "SALTY_IDENTITY not set"
exit 2
fi
user="$1"
message="$2"
salty_json="$(mktemp /tmp/salty.XXXXXX)"
lookup "$user" > "$salty_json"
endpoint="$(jq -r '.endpoint' < "$salty_json")"
topic="$(jq -r '.topic' < "$salty_json")"
key="$(jq -r '.key' < "$salty_json")"
rm "$salty_json"
message="[$(date +%FT%TZ)] <$(get_user)> $message"
echo "$message" \
| salty -i "$SALTY_IDENTITY" -r "$key" \
| msgbus -u "$endpoint" pub "$topic"
}
make_user () {
mkdir -p "$HOME/.config/salty"
if [ $# -lt 1 ]; then
user=$USER
else
user=$1
fi
identity_file="$HOME/.config/salty/$user.key"
if [ -f "$identity_file" ]; then
printf "user key exists!"
exit 1
fi
# Check for msgbus env.. probably can make it fallback to looking for a config file?
if [ -z "$MSGBUS_URI" ]; then
printf "missing MSGBUS_URI in environment"
exit 1
fi
salty-keygen -o "$identity_file"
echo "# user: $user" >> "$identity_file"
pubkey=$(grep key: "$identity_file" | awk '{print $4}')
cat <<- EOF
Create this file in your webserver well-known folder. https://hostname.tld/.well-known/salty/$user.json
{
"endpoint": "$MSGBUS_URI",
"topic": "$user",
"key": "$pubkey"
}
EOF
}
# check if streaming
if [ ! -t 1 ]; then
stream
exit 0
fi
# Show Help
if [ $# -lt 1 ]; then
printf "Commands: send read lookup"
exit 0
fi
CMD=$1
shift
case $CMD in
send)
sendmsg "$@"
;;
read)
readmsgs "$@"
;;
lookup)
lookup "$@"
;;
make-user)
make_user "$@"
;;
esac
apparently i have LOST ANOTHER 3 KILOGRAMS WHAT IS GOING ON I EXERCISE LIKE 3 HOURS A WEEK AND EAT LIKE A BEAR AND A TIGER